# 获取项目组列表

获取用于构建目录的商品组列表。

Endpoint: GET /v2/project/{project_id}/items/groups
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    项目ID。
    Example: 44056

## Response 200 fields (application/json):

  - `groups` (array)
    Example: [{"children":[{"children":[{"children":[],"description":"Accessory","external_id":"accessory","level":2,"name":"Accessory","order":1,"parent_external_id":"background"}],"description":"Background description","external_id":"background","level":1,"name":"Background","order":1,"parent_external_id":"hair"}],"description":"Hair description","external_id":"hair","level":0,"name":"Hair","order":1},{"children":[],"description":"Super description","external_id":"group_external_id","level":0,"name":"Super","order":1}]

  - `groups.children` (array)
    子组。
    Example: [{"children":[{"children":[],"description":"Accessory","external_id":"accessory","level":2,"name":"Accessory","order":1,"parent_external_id":"background"}],"description":"Background description","external_id":"background","level":1,"name":"Background","order":1,"parent_external_id":"hair"}]

  - `groups.children.children` (array)
    子组。
    Example: [{"children":[],"description":"Accessory","external_id":"accessory","level":2,"name":"Accessory","order":1,"parent_external_id":"background"}]

  - `groups.children.children.children` (array)
    子组。
    Example: []

  - `groups.children.children.description` (string)
    组描述。
    Example: "Accessory"

  - `groups.children.children.external_id` (string)
    外部组ID。
    Example: "accessory"

  - `groups.children.children.image_url` (string)
    图像URL。

  - `groups.children.children.level` (integer)
    组嵌套层级。
    Example: 2

  - `groups.children.children.name` (string)
    组名称。
    Example: "Accessory"

  - `groups.children.children.order` (integer)
    定义排列顺序。
    Example: 1

  - `groups.children.children.parent_external_id` (string)
    父外部组ID。
    Example: "background"

  - `groups.children.description` (string)
    组描述。
    Example: "Background description"

  - `groups.children.external_id` (string)
    外部组ID。
    Example: "background"

  - `groups.children.image_url` (string)
    组图片URL。

  - `groups.children.level` (integer)
    组嵌套层级。
    Example: 1

  - `groups.children.name` (string)
    组名称。
    Example: "Background"

  - `groups.children.order` (integer)
    定义排列顺序。
    Example: 1

  - `groups.children.parent_external_id` (string)
    父外部组ID。
    Example: "hair"

  - `groups.description` (string)
    组描述。
    Example: "Hair description"

  - `groups.external_id` (string)
    外部组ID。
    Example: "hair"

  - `groups.image_url` (string)
    图像URL。

  - `groups.level` (integer)
    组嵌套层级。

  - `groups.name` (string)
    组名称。
    Example: "Hair"

  - `groups.order` (integer)
    定义排列顺序。
    Example: 1

  - `groups.parent_external_id` (string)
    父外部组ID。


